CREATE TABLE CRST_GL_JE_LINES
(
  JE_HEADER_ID                  NUMBER(15),
  JE_LINE_NUM                   NUMBER(15),
  LAST_UPDATE_DATE              DATE,
  LAST_UPDATED_BY               NUMBER(15),
  SET_OF_BOOKS_ID               NUMBER(15),
  CODE_COMBINATION_ID           NUMBER(15),
  PERIOD_NAME                   VARCHAR2(15),
  EFFECTIVE_DATE                DATE,
  STATUS                        VARCHAR2(1),
  CREATION_DATE                 DATE,
  CREATED_BY                    NUMBER(15),
  LAST_UPDATE_LOGIN             NUMBER(15),
  ENTERED_DR                    NUMBER,
  ENTERED_CR                    NUMBER,
  ACCOUNTED_DR                  NUMBER,
  ACCOUNTED_CR                  NUMBER,
  DESCRIPTION                   VARCHAR2(240),
  LINE_TYPE_CODE                VARCHAR2(240),
  REFERENCE_1                   VARCHAR2(240),
  REFERENCE_2                   VARCHAR2(240),
  REFERENCE_3                   VARCHAR2(240),
  REFERENCE_4                   VARCHAR2(240),
  REFERENCE_5                   VARCHAR2(240),
  ATTRIBUTE1                    VARCHAR2(150),
  ATTRIBUTE2                    VARCHAR2(150),
  ATTRIBUTE3                    VARCHAR2(150),
  ATTRIBUTE4                    VARCHAR2(150),
  ATTRIBUTE5                    VARCHAR2(150),
  ATTRIBUTE6                    VARCHAR2(150),
  ATTRIBUTE7                    VARCHAR2(150),
  ATTRIBUTE8                    VARCHAR2(150),
  ATTRIBUTE9                    VARCHAR2(150),
  ATTRIBUTE10                   VARCHAR2(150),
  ATTRIBUTE11                   VARCHAR2(150),
  ATTRIBUTE12                   VARCHAR2(150),
  ATTRIBUTE13                   VARCHAR2(150),
  ATTRIBUTE14                   VARCHAR2(150),
  ATTRIBUTE15                   VARCHAR2(150),
  ATTRIBUTE16                   VARCHAR2(150),
  ATTRIBUTE17                   VARCHAR2(150),
  ATTRIBUTE18                   VARCHAR2(150),
  ATTRIBUTE19                   VARCHAR2(150),
  ATTRIBUTE20                   VARCHAR2(150),
  CONTEXT                       VARCHAR2(150),
  CONTEXT2                      VARCHAR2(150),
  INVOICE_DATE                  DATE,
  TAX_CODE                      VARCHAR2(15),
  INVOICE_IDENTIFIER            VARCHAR2(20),
  INVOICE_AMOUNT                NUMBER,
  NO1                           VARCHAR2(150),
  STAT_AMOUNT                   NUMBER,
  IGNORE_RATE_FLAG              VARCHAR2(1),
  CONTEXT3                      VARCHAR2(150),
  USSGL_TRANSACTION_CODE        VARCHAR2(30),
  SUBLEDGER_DOC_SEQUENCE_ID     NUMBER,
  CONTEXT4                      VARCHAR2(150),
  SUBLEDGER_DOC_SEQUENCE_VALUE  NUMBER,
  REFERENCE_6                   VARCHAR2(240),
  REFERENCE_7                   VARCHAR2(240),
  GL_SL_LINK_ID                 NUMBER,
  GL_SL_LINK_TABLE              VARCHAR2(30),
  REFERENCE_8                   VARCHAR2(240),
  REFERENCE_9                   VARCHAR2(240),
  REFERENCE_10                  VARCHAR2(240),
  GLOBAL_ATTRIBUTE_CATEGORY     VARCHAR2(30),
  GLOBAL_ATTRIBUTE1             VARCHAR2(150),
  GLOBAL_ATTRIBUTE2             VARCHAR2(150),
  GLOBAL_ATTRIBUTE3             VARCHAR2(150),
  GLOBAL_ATTRIBUTE4             VARCHAR2(150),
  GLOBAL_ATTRIBUTE5             VARCHAR2(150),
  GLOBAL_ATTRIBUTE6             VARCHAR2(150),
  GLOBAL_ATTRIBUTE7             VARCHAR2(150),
  GLOBAL_ATTRIBUTE8             VARCHAR2(150),
  GLOBAL_ATTRIBUTE9             VARCHAR2(150),
  GLOBAL_ATTRIBUTE10            VARCHAR2(150),
  JGZZ_RECON_STATUS             VARCHAR2(1),
  JGZZ_RECON_DATE               DATE,
  JGZZ_RECON_ID                 NUMBER,
  JGZZ_RECON_REF                VARCHAR2(240),
  JGZZ_RECON_CONTEXT            VARCHAR2(30),
  TAXABLE_LINE_FLAG             VARCHAR2(1),
  TAX_TYPE_CODE                 VARCHAR2(1),
  TAX_CODE_ID                   NUMBER(15),
  TAX_ROUNDING_RULE_CODE        VARCHAR2(1),
  AMOUNT_INCLUDES_TAX_FLAG      VARCHAR2(1),
  TAX_DOCUMENT_IDENTIFIER       VARCHAR2(50),
  TAX_DOCUMENT_DATE             DATE,
  TAX_CUSTOMER_NAME             VARCHAR2(240),
  TAX_CUSTOMER_REFERENCE        VARCHAR2(240),
  TAX_REGISTRATION_NUMBER       VARCHAR2(50),
  TAX_LINE_FLAG                 VARCHAR2(1),
  TAX_GROUP_ID                  NUMBER(15),
  DUMMY					  	  	CHAR(1),
  LAST_UPDATED_NAME       	  	VARCHAR2(100),
  CREATED_NAME				  	VARCHAR2(100),
  SOB_SHORT_NAME		  	  	VARCHAR2(100),
  CODE_COMB_ID_D				VARCHAR2(100),
  DOC_SEQ_NAME                  VARCHAR2(100)
);
